# norootforbuild


Name:           qwt
Summary:        Qt Widgets for Technical Applications
Version:        5.2.1
Release:        1.pm.3.19
License:        Qwt License 1.0
Group:          Development/Libraries/C and C++
Url:            http://qwt.sourceforge.net/
Source:         http://switch.dl.sourceforge.net/sourceforge/qwt/qwt-%{version}.tar.bz2
Source2:        qwt-rpmlintrc
Patch0:         enable-svg.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  freetype2-devel gcc-c++ libpng-devel
Requires:       libqwt5 = %version

#########################################################################################
# SuSE, openSUSE
#########################################################################################
%if 0%{?suse_version}
BuildRequires:  libqt4-devel >= 4.3
BuildRequires:  fdupes
%endif

#########################################################################################
# Fedora, RHEL or CentOS
#########################################################################################
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
BuildRequires:  qt4-devel >= 4.3.0
%endif

#########################################################################################
# Mandrake, Mandriva
#########################################################################################
%if 0%{?mandriva_version} || 0%{?mdkversion}
BuildRequires:    libqt4-devel >= 4.3
%endif


%description
The Qwt library contains GUI Components and utility classes which are
primarily useful for programs with a technical background. Beside a 2D
plot widget it provides scales, sliders, dials, compasses, thermometers,
wheels and knobs to control or display values, arrays, or ranges of type
double.

Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )


%package -n libqwt5
Summary:        Shared library for Qt Widgets
Group:          Development/Libraries/C and C++

%description -n libqwt5
This package contains the shared library to run Technical Applications 
developed with/for %name.

Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )


%package devel
Summary:        Include headers and Qt Designer plugin for Qwt
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}
Requires:       freetype2-devel gcc-c++ libpng-devel
%if 0%{?suse_version}
Requires:       libqt4-devel >= 4.3
%endif
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
Requires:       qt4-devel >= 4.3.0
%endif
%if 0%{?mandriva_version} || 0%{?mdkversion}
Requires:       libqt4-devel >= 4.3
%endif
%if 0%{?suse_version}
Recommends:     %{name}-devel-doc
Recommends:     %{name}-examples
%endif
Provides:       libqwt5-devel = %version-%release
Obsoletes:      libqwt5-devel < 5.2.1

%description devel
This package contains the header files of Qwt and its Qt designer plugin
in order to create Qt applications using the Qwt widgets.


Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )

%package examples
Summary:        Example programs using Qwt
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}
Provides:       libqwt5-examples = %version-%release
Obsoletes:      libqwt5-examples < 5.2.1

%description examples
This package contains example programs demonstrating the Qwt widgets.


Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )

%package designer
Summary:       Plugin for the Qt Interface designer
Group:         Development/Tools
Requires:      %{name}-devel = %{version}-%{release}
Requires:      libqt4-devel

%description designer
The %{name}-designer package contains the plugin for the Qt User Interface
designer tool.


Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )

%package devel-doc
Summary:        Development documentation for Qwt
Group:          Development/Libraries/C and C++
Requires:       %{name}-devel = %{version}
Provides:       libqwt5-devel-doc = %version-%release
Obsoletes:      libqwt5-devel-doc < 5.2.1

%description devel-doc
This package contains the development documentation of the Qwt widgets
as is it created by doxygen.


Authors
-------
  Uwe Rathmann
  Josef Wilgen ( <= Qwt 0.2 )

%prep
%setup -q -n qwt-%{version}
%patch0 -p0

%build
%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
export PATH=%{_libdir}/qt4/bin/:$PATH
%endif
%if 0%{?mandriva_version} == 2008 || 0%{?mdkversion} == 200800
export PATH=/usr/lib/qt4/bin/:$PATH
%endif

# Now build the qwt5 library
qmake \
	INSTALLBASE=%{_prefix} \
	CONFIG+=QwtDll CONFIG+=QwtDesigner CONFIG+=QwtExamples -after \
	QMAKE_CXXFLAGS="%optflags" \
	target.path=%{_libdir} \
	headers.path=%{_includedir}/%{name} \
	doc.path=%{_docdir}/%{name}-devel-doc

%__make %{?jobs:-j%jobs}


%install
%makeinstall INSTALL_ROOT=%buildroot
# man
%__mkdir -p %{buildroot}/%{_mandir}
%__mv -v %{buildroot}/%{_docdir}/%{name}-devel-doc/man/man3 %{buildroot}/%{_mandir}/
# docu
%__mkdir -p %{buildroot}%{_docdir}/%{name}/
%__mv -v COPYING CHANGES README examples %{buildroot}%{_docdir}/%{name}/
# designer plugin
%if 0%{?mandriva_version} == 2008 || 0%{?mdkversion} == 200800
%__mkdir -p %{buildroot}/%{_prefix}/lib/qt4/plugins/designer
%__mv -v %{buildroot}/%{_libdir}/libqwt_designer_plugin.so %{buildroot}/%{_prefix}/lib/qt4/plugins/designer/
%else
%__mkdir -p %{buildroot}/%{_libdir}/qt4/plugins/designer
%__mv -v %{buildroot}/%{_libdir}/libqwt_designer_plugin.so %{buildroot}/%{_libdir}/qt4/plugins/designer/
%endif
%if 0%{?suse_version}
%fdupes %{buildroot}
%endif

%post -n libqwt5 -p /sbin/ldconfig

%postun -n libqwt5 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}/COPYING 
%doc %{_docdir}/%{name}/CHANGES 
%doc %{_docdir}/%{name}/README

%files -n libqwt5
%defattr(-,root,root)
%{_libdir}/libqwt*
%exclude %{_libdir}/libqwt*.so

%files designer
%defattr(-,root,root)
%if 0%{?mandriva_version} == 2008 || 0%{?mdkversion} == 200800
%{_prefix}/lib/qt4/plugins/designer/libqwt_designer_plugin.so
%else
%{_libdir}/qt4/plugins/designer/libqwt_designer_plugin.so
%endif

%files devel
%defattr(-,root,root)
%{_libdir}/libqwt*.so
%dir %{_includedir}/qwt
%{_includedir}/qwt/*.h
%{_mandir}/man3/*

%files examples
%defattr(-,root,root)
%doc %{_docdir}/%{name}/examples

%files devel-doc
%defattr(-,root,root)
%doc %{_docdir}/%{name}-devel-doc


%changelog
* Wed Apr 14 2010 koprok@nand.bg
- updated to version 5.2.1
- fix parallel make patch is not needed any more
* Tue Nov 24 2009 koprok@nand.bg
- fix parallel make
* Sun Aug 30 2009 lars@linux-schulserver.de
- original taken from Education:Salome:Factory
- use the original name for the package and provide/obsolete
  the libqwt5* names
- use qmake vars instead of patching the sources
- split off designer package and put the lib to the right place
- added rpmlintrc
* Fri May  8 2009 Nico.Laus.2001@gmx.de
- made compile on Fedora, Mandriva
- removed unnecessary (Build)Requires
* Mon Mar 30 2009 Nico.Laus.2001@gmx.de
- updated to version 5.2.0
- changed config to enable QwtPlotSvgItem
* Wed Mar 25 2009 Nico.Laus.2001@gmx.de
- added sub-packages examples and devel-doc
- added documentation
  Fri May 16 00:00:00 CET 2008 - 0.pm.1
- rebuild for PackMan
* Thu Nov 22 2007 opensuse@dstoecker.de
- better installation
- some fixes
* Wed Jun 27 2007 opensuse@dstoecker.de
- updated to release 5.0.2
- now a openSUSE BuildService project
  Wed Jan 03 00:00:00 CET 2007 - Christian Härtwig 5.0.0
- updated to CVS20070103 (5.0.0)
- renamed package to libqwt5
- modified package to coexist together with libqwt-4.2.0 from Quentin Denis
- added examples to -devel package
  Mon Aug 28 00:00:00 CET 2006 - Christian Härtwig 5.0.0
- initial version CVS20060828 (5.0.0)
